<?php
/*
 ___           __  ____ ___  ___     ___       ___      ___   ___
|   \    /\   /    |    |  \ |  \    |  \ |  | |  \    /   \ |   \
|    \  /__\  \__  |___ |__/ |__/    |__/ |__| |__/ __ |___  |___/
|    / /    \    \ |    |    |       |    |  | |       |   \ |   \
|___/  |    | \__/ |___ |    |       |    |  | |       \___/ |___/

Beispieltemplate
Folgende Variablen knnen verwendet werden:

$show_number : Nummer des Eintrags, vorformatiert (z.B. 2.500)
$nummer : Nummer des Eintrags, unformatiert
$show_user : Namen
$show_mail : Emailadresse
$show_age : Alter
$show_page : Homepage
$show_loc : Wohnort
$show_icq : ICQ-Nummer
$show_subject : Betreff
$show_bew : Bewertung
$datum : Datum, mehr siehe datum.inc.php
$zeit : Zeit, mehr siehe datum.inc.php
$show_entry : der Eintrag
$show_comm : Kommentar
$show_editlink : Link um Eintrag zu bearbeiten
$show_dellink : Link um Eintrag zu lschen
$show_comlink : Link um Eintrag zu zitieren
$show_imglink : Link zu hochgeladenem Bild

*/

// die Variablen werden definiert
$show_number = number_format($nummer,0,"",".");
$show_user = $split_entrie[0];
$show_mail = $split_entrie[1];
$show_age = $split_entrie[2];
$show_loc = $split_entrie[3];
$show_page = $url_prefix.$split_entrie[4];
$show_icq = $split_entrie[5];
$show_image = $split_entrie[6];
$show_ip = $split_entrie[8];
$show_subject = $split_entrie[9];
$show_bew = $split_entrie[10];
$show_entry = code2html($split_entrie[11]);
$show_comm = code2html($split_entrie[12]);
$show_misc_1 = code2html($split_entrie[13]);
$show_misc_2 = code2html($split_entrie[14]);
$show_misc_3 = code2html($split_entrie[15]);
$show_misc_4 = code2html($split_entrie[16]);
$show_misc_5 = code2html($split_entrie[17]);
$show_editlink = "edit.php?id=".$nummer;
$show_dellink = "loeschen.php?id=".$nummer;
$show_comlink = "eintrag.php?id=".$nummer;
$show_imglink = "showimage.php?id=".$nummer;

echo $nummer % 2 == 1 ? "<div class=\"ungerade\">" : "<div class=\"gerade\">";
echo "\n<span class=\"nummer\">$show_number.</span>\n<span class=\"user\">$show_user</span> ";
if($show_age and $eingabef_alter == "ja") echo " ($show_age) ";
if($eintrag_php_misc_1) echo "(";
if($eintrag_php_misc_1) echo "$eintrag_php_misc_1: $show_misc_1";
if($eintrag_php_misc_2) echo ", $eintrag_php_misc_2: $show_misc_2";
if($eintrag_php_misc_3) echo ", $eintrag_php_misc_3: $show_misc_3";
if($eintrag_php_misc_4) echo ", $eintrag_php_misc_4: $show_misc_4";
if($eintrag_php_misc_5) echo ", $eintrag_php_misc_5: $show_misc_5";
if($eintrag_php_misc_1) echo ")";
if($show_loc and $eingabef_ort == "ja") echo " aus $show_loc \n";
if(strlen($show_mail) > 7 and $eingabef_mail == "ja") echo "<a class=\"linkinfo\" title=\"E-Mail-Adresse: $show_mail\" href=\"mailto:$show_mail\"><img class=\"gbuch\" src=\"buttons/email.gif\" alt=\"$show_mail\"></a>\n";
$page = str_replace($url_prefix, "", $show_page);
$page = str_replace("http://", "", $page);
$page = "http://".$page;
if($page != "http://" and $eingabef_page == "ja") echo "<a rel=\"nofollow\" class=\"linkinfo\" href=\"$show_page\" target=\"_blank\" title=\"Webseite: $page\"><img class=\"gbuch\" src=\"buttons/home.gif\" alt=\"$page\"></a>\n";
if($show_icq and $eingabef_icq == "ja") echo "<a class=\"linkinfo\" href=\"http://www.icq.com/whitepages/wwp.php?Uin=$show_icq\" target=\"_blank\" title=\"ICQ-Nummer: $show_icq\" >\n<img class=\"gbuch\" src=\"http://web.icq.com/whitepages/online?icq=$show_icq&img=5\" border=\"0\" alt=\"ICQ: $show_icq\"></a>\n";
if($eingabef_bild == "ja" and $show_image) echo "<a href=\"showimage.php?id=$nummer\"><img class=\"gbuch\" src=\"buttons/photo.gif\" alt=\"hochgeladenes Bild ansehen\" title=\"hochgeladenes Bild ansehen\"></a>\n";
echo "schrieb am $datum um $zeit Uhr:\n";
if($show_subject and $eingabef_betreff == "ja") echo "<div class=\"betreff\">Betreff: $show_subject</div>\n";
echo "<div class=\"eintragstext\">\n$show_entry\n</div>";
if($show_comm) echo "<div class=\"kommentar\"><div class=\"kommentar_beschr\">Kommentar vom Webmaster:</div><div class=\"kommentar_text\">\n$show_comm\n</div></div>\n";
echo "\n</div>";

if(pwd($passwort) == $_COOKIE['dasepp_php_gb_passwort']) {
echo "\n<div class=\"onlyscreen\">Eintrag <a href=\"$show_editlink\">bearbeiten</a> / <a href=\"$show_dellink\">lschen</a> / <a href=\"$show_comlink\">zitieren</a>";
if(pwd($passwort) == $_COOKIE['dasepp_php_gb_passwort']) {
echo " / IP: $show_ip / <a href=\"admin.php?page=logout\">".htmlentities($admin_php_text_logout, ENT_QUOTES)."</a>";
}
echo "</div>";
}

if(ereg("vorschau.php", basename($_SERVER['PHP_SELF']))) {
echo "\n<div class=\"onlyscreen\"><a href=\"javascript:window.close()\">".htmlentities($vorschau_php_infotext, ENT_QUOTES)."</a></div>";
}

echo "\n<p></p>\n";

?>